%define upstream_name    Symbol-Global-Name
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Finds name and type of a global variable
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Symbol/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Lookups symbol table to find an element by reference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1033582
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 971740
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 892554
- imported package perl-Symbol-Global-Name


* Sun Oct 18 2015 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
